﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace PieChart
{
   public class ChartSample : ContentPage
    {
        public ObservableCollection<ChartDataPoint> DataPoints;
        public ChartSample()
        {
            SfChart chart = new SfChart();

            DataPoints = new ObservableCollection<ChartDataPoint>();
            DataPoints.Add(new ChartDataPoint("Jan", 20));
            DataPoints.Add(new ChartDataPoint("Feb", 25));
            DataPoints.Add(new ChartDataPoint("Mar", 10));
            DataPoints.Add(new ChartDataPoint("Apr", 30));
            DataPoints.Add(new ChartDataPoint("May", 25));

            PieSeries series = new PieSeries();
            series.ItemsSource = DataPoints;
            chart.Series.Add(series);

            Content = chart;
        }
    }

    public class MainPage : ContentPage
    {
        public MainPage()
        {
            Button button = new Button();
            button.Text = "Navigate to Chart";
            button.Clicked += Button_Clicked;
            Content = button;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            Navigation.PushAsync(new ChartSample());
        }
    }
}
